This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 836033 - delayed-post-op optimization
delayed-post-op optimization
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: replicate (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anand Avati
:
Depends On:
Blocks: 895528
  Show dependency treegraph
 
Reported: 2012-06-27 18:56 EDT by Anand Avati
Modified: 2015-12-01 11:45 EST (History)
5 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:54:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Anand Avati 2012-06-27 18:56:23 EDT
Enhancement to AFR to introduce a delay between FOP phase and POST-OP phase to increase the probability of eager-locking and changelog-piggyback optimizations to kick in.
Comment 1 Vijay Bellur 2012-07-04 03:17:25 EDT
CHANGE: http://review.gluster.com/3620 (cluster/afr: cleanup lk_owner and PID mess) merged in master by Anand Avati (avati@redhat.com)
Comment 2 Vijay Bellur 2012-07-04 03:17:54 EDT
CHANGE: http://review.gluster.com/3621 (cluster/afr: post-op-delay support) merged in master by Anand Avati (avati@redhat.com)
Comment 3 Amar Tumballi 2012-07-11 02:56:40 EDT
patches are in upstream

Note You need to log in before you can comment on or make changes to this bug.